Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class FeatureType

    java.lang.Object
      org.crosswire.jsword.book.FeatureType

All Implemented Interfaces:
  Serializable

    public class FeatureType

extends Object
implements Serializable

An Enumeration of the possible Features a Book may have.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: FeatureType.java,v 1.1 2005/03/21 02:37:28 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`, Serialized Form

Field Summary
`static FeatureType` | `DAILY_DEVOTIONS` The book is one of Daily Devotions.
`static FeatureType` | `GLOSSARY` The book is glossary of translations from one language to another.
`static FeatureType` | `GREEK_DEFINITIONS` The book is one of Greek Definitions.
`static FeatureType` | `GREEK_PARSE` The book is one of Greek word parsings.
`static FeatureType` | `HEBREW_DEFINITIONS` The book is one of Hebrew Definitions.
`static FeatureType` | `HEBREW_PARSE` The book is one of Hebrew word parsings.
`private String` | `name` The name of the BookType
`private static int` | `nextObj`
`private int` | `obj`
`private static long` | `serialVersionUID` Serialization ID
`private static FeatureType[]` | `VALUES`

Constructor Summary
`private` | `FeatureType(String name)`

Method Summary
`boolean` | `equals(Object o)` Prevent subclasses from overriding canonical identity based Object methods
`static FeatureType` | `fromInteger(int i)` Lookup method to convert from an integer
`static FeatureType` | `fromString(String name)` Lookup method to convert from a String
`int` | `hashCode()` Prevent subclasses from overriding canonical identity based Object methods
`(package private) Object` | `readResolve()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### GREEK_DEFINITIONS

    public static final FeatureType GREEK_DEFINITIONS

  The book is one of Greek Definitions. AKA, Strongs.

### GREEK_PARSE

    public static final FeatureType GREEK_PARSE

  The book is one of Greek word parsings. AKA, Robinson.

### HEBREW_DEFINITIONS

    public static final FeatureType HEBREW_DEFINITIONS

  The book is one of Hebrew Definitions. AKA, Strongs.

### HEBREW_PARSE

    public static final FeatureType HEBREW_PARSE

  The book is one of Hebrew word parsings. AKA, ???.

### DAILY_DEVOTIONS

    public static final FeatureType DAILY_DEVOTIONS

  The book is one of Daily Devotions.

### GLOSSARY

    public static final FeatureType GLOSSARY

  The book is glossary of translations from one language to another.

### name

    private String name

  The name of the BookType

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final FeatureType[] VALUES

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### FeatureType

    private FeatureType(String name)

Parameters:
  `name` - The name of the BookType

Method Detail

### fromString

    public static FeatureType fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static FeatureType fromInteger(int i)

  Lookup method to convert from an integer

### equals

    public final boolean equals(Object o)

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public final int hashCode()

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD